///////////////////////////////////////////////////////
//                                                   //
//       Московский Государственный Технический      //
//           Университет Гражданской Авиации         //
//                                                   //
//      Курсовая работа студента группы: ЭВМ-2-2     //
//           Новичкова Виталия Дмитриевича           //
//                                                   //
// (с) 2005-2012 Система Компьютнрных Сетей  WohlNET //
//                                                   //
///////////////////////////////////////////////////////

//Распознание умножения/деления

// term ::= factor | term '*' factor | term '/' factor
double term(char *s,char *sid)
{
double temp;
    double res=factor(s,sid);
    for (;;)
    {
	if (Oper.Op=='*')
	{
		if(skip('*',s,sid)==1) return 999999999;
                res*=factor(s,sid);
	}
        else
	if (Oper.Op=='/')
        {
		if(skip('/',s,sid)==1) return 999999999;
		temp=factor(s,sid);
                if(temp!=0) res/=temp;
		else
                {
                     temp=temp+0.001;
                     res/=temp;
                }
        }
	else
	return res;
    }
}
